##########################################################################
##
## irmp3d.conf -- Sample irmp3d configuration file
##
## This file has been generated by irmp3conf. Please see the irmp3d
## documentation for more information or visit the irmp3 web site at
## http://irmp3.sourceforge.net
##
## config file generator (C) by Volker Wegert <vwegert@web.de>
##
##########################################################################


##----------------------------------------------------------------------##
##
## configuration options for irmp3d (general options)
##

#
# version of config file generator
#
irmp3conf_version: v0.5.6

#
# format for date/time in log file output
#
log_timestr: %X

#
# commands to execute on startup
#
irmp3_init_command: mixer volume 10;playlist repeat 0;playlist shuffle 0;browser show;browser exec /home/wolf/irmp3scripts/lowvol.sh


#
# define this if you want irmp3d to execute a command upon exiting
#

#
# exec_on_close: cat /dev/null
#

##----------------------------------------------------------------------##
##
## configuration options for mod_mpg123 (mpg123 interaction)
##

#
# location of the mpg123 binary
#
#mpg123_binary: /usr/bin/mpg123
mpg123_binary: /usr/bin/mpg123

#
# additional mpg123 parameters (see mpg123 --help for a list of supported parameters)
#
mpg123_param: 

#
# Should irmp3 halt playback when mpg123 reports unknown status?
#
abort_on_unknown_mpg123_status: no

#
# Should mod_mpg123 be the default player for mpg files
#

#
# playtype_mpg: mod_mpg123
playtype_mpg: mod_mpg123
#

#
# Should mod_mpg123 be the default player for mp2 files
#

#
playtype_mp2: mod_mpg123
#

#
# Should mod_mpg123 be the default player for mp3 files
#

#
playtype_mp3: mod_mpg123
#
playtype_mp3: mod_mpg123

playtype_m4a: mod_mplayer

#mplayer_binary: /usr/bin/mplayer

flac123_binary: /usr/bin/ogg123



##----------------------------------------------------------------------##
##
## configuration options for mod_lcdproc (LCDproc output)
##

#
# hostname and port for LCDproc server connection
#
lcdproc_host: localhost
lcdproc_port: 13666

#
# minutes of idle time until the screen shows a clock
#
lcdproc_clock_timer: 1

#
# key bindings
#
# You must list the keys you wish irmp3 to receive from lcdproc here.
# Use a comma-delimited format, no spaces!
# If you do not list a key here, irmp3 will not receive that key at all!
#
lcdproc_keylist: a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y

lcdproc_key_u: browser show
lcdproc_key_p: pause
lcdproc_key_k: stopall
#lcdproc_key_i: mixer volume +3;browser exec /home/wolf/irmp3scripts/volinc.sh
#lcdproc_key_g: mixer volume -3;browser exec /home/wolf/irmp3scripts/voldec.sh
lcdproc_key_i: browser exec /home/wolf/irmp3scripts/volinc.sh
lcdproc_key_g: browser exec /home/wolf/irmp3scripts/voldec.sh
#lcdproc_key_i: browser exec /home/wolf/irmp3scripts/volinc.sh
#lcdproc_key_g: browser exec /home/wolf/irmp3scripts/voldec.sh
lcdproc_key_b: playlist jump -1
lcdproc_key_d: playlist jump +1

lcdproc_key_s: browser cursor -1
lcdproc_key_q: browser cursor +1
lcdproc_key_n: browser cursor -10
lcdproc_key_l: browser cursor +10
lcdproc_key_w: browser back
#lcdproc_key_w: seek -2
lcdproc_key_r: browser play
lcdproc_key_m: browser into
#cdproc_key_m: seek +2


#lcdproc_key_p: play
#lcdproc_key_a: playlist jump -1
#lcdproc_key_b: playlist jump +1
#lcdproc_key_c: seek -2
#lcdproc_key_d: seek +2
#lcdproc_key_m: mixer mute

#lcdproc_key_g: playlist clear
#lcdproc_key_h: playlist shuffle
#lcdproc_key_i: playlist repeat

#lcdproc_key_x: play /home/wolf/Music/08-Sejr.mp3
#lcdproc_key_y: play /home/wolf/Music/08-Sejr.mp3


#
# file browser scrollbar emulation [yes|no]
#
lcdproc_browser_scrollbar: no

#
# file browser display timeout in seconds (default 10)
#
lcdproc_browser_timeout: 10

#
# preserve upper right corner of display
#
# If this is set to yes, irmp3d will try not to display a character
# at the upper right corner of the display as not to disturbe the
# LCDproc heartbeat
#
lcdproc_preserve_upper_right: no

#
# time and date formats - see 'man strftime'
#
lcdproc_timestr: %R
lcdproc_datestr: %x

#
# control whether hours are displayed separately
#
lcdproc_songtime_hours: no

#
# alignment of status indicators (right or left)
#
lcdproc_status_alignment: right

##----------------------------------------------------------------------##
##
## configuration options for mod_lirc (LIRC input)
##

#
# name and path of LIRC configuration file
#
lirc_config: 

##----------------------------------------------------------------------##
##
## configuration options for mod_playlist (playlist handling)
##

#
# skipback timeout (seconds until a 'last song' command translates to 'restart this song'
#
playlist_skip_back_timeout: 2

#
# default playlist repeat mode [off|current|all]
#
playlist_repeat: all

#
# default playlist shuffle mode [yes|no]
#
playlist_shuffle: no

#
# playlist sorting mode [auto|manual]
#
#playlist_sort_mode: manual
playlist_sort_mode: auto

##----------------------------------------------------------------------##
##
## configuration options for mod_playlistlist (support for lists of playlists)
##

##----------------------------------------------------------------------##
##
## configuration options for mod_alarm (signal handling facilities)
##

#
# alarm environments
#
# If you use mod_alarm, you'll need an environment_alarm1 and/or environment_alarm2
# environment_alarm1 will be executed when irmp3 receives a SIGUSR1 signal.
# environment_alarm2 will be executed when irmp3 receives a SIGUSR2 signal.
#
environment_alarm1: mixer volume 55;playlist clear;play /home/mp3/alarm/wind_chimes.mp3
environment_alarm2: mixer volume 55;beep disable;playlist shuffle 1;sleep 10 0;beep enable;playlist load /home/mp3/alarm/Vivaldi.pl

##----------------------------------------------------------------------##
##
## configuration options for mod_autoshutdown ()
##

#
# minutes of inactivity before irmp3d automatically shuts down (0 to disable)
#
autoshutdown_time: 0

##----------------------------------------------------------------------##
##
## configuration options for mod_beep ()
##

#
# location of soundfiles (see contrib/beep)
#
beep_on: /usr/local/share/irmp3/beep/on.au
beep_off: /usr/local/share/irmp3/beep/off.au

#
# dsp device to use for beep playback
#
beep_device: /dev/dsp1

#
# command to play beeps (%f -> filename, %d -> device)
#
beep_play: /usr/bin/sox %f -t ossdsp -w -s %d

##----------------------------------------------------------------------##
##
## configuration options for mod_browser (file and directory browser)
##

#
# your music collection's absolute root directory
#
browser_root: /home/wolf/Music

#
# startup browser path (relative to 'browser_root')
#
#browser_home: /
browser_home: 

#
# path where you can store shell scripts (relative to 'browser_root')
#
# Disable shell script execution with: 'browser_exec: -'
#
browser_exec: -
#browser_exec: ../irmp3scripts

#
# file extension to be recognized as audio/mp3 file (default=*.[Mm][Pp]3)
#
browser_mask_audio: *.[Mm][Pp4][3a]

#
# file extension to be recognized as playlist (default=*.[Mm]3[Uu])
#
browser_mask_list: *.[Mm]3[Uu]

#
# file extension to be recognized as playlist-list (default=*.[Mm]3[Ll])
#
browser_mask_listlist: *.[Mm]3[Ll]

#
# file extension to be recognized as executable (default=*.[Ss][Hh])
#
browser_mask_exec: *.[Ss][Hh]

#
# files that should be NOT displayed
#
# '*' means all remaining files will be not shown
# '*.count' means only '*.count' files will be excluded, all other remaining
# files will be displayed
#
browser_mask_hide: .*

#
# perform file matching case sensitive?
#
browser_mask_casesensitive: yes

#
# filename where shell scripts can store temporary display output
#
# The 1st line of this file will be displayed by irmp3 on lcd after the script returns.
# Shell scripts will get this filename as 1st argument.
#
browser_execmsg: /tmp/irmp3.execmsg.tmp

#
# path depth you want to be shown as parent working directory
#
# If your pwd is '/home/mp3/music/albums/gathering', setting 'browser_pwddepth'
# to 2 results in 'albums/gathering' to be displayed as pwd
#
browser_pwddepth: 3

#
# show '..' directory?
#
# Using this feature you dont need the 'browser back' command. Simply do
# a 'browser into' on the '..' directory in order to do a 'cd ..'
#
browser_cdup: no

#
# stay on '..' after entering directory?
#
# Set this to 'yes' if you'd like mod_browser to stay on the '..' entry
# after cd-ing into a directory. Defaults to 'no' which makes mod_browser
# advance to the first file inside the directory (if any).
#
browser_cdup_initial_updir: no

##----------------------------------------------------------------------##
##
## configuration options for mod_cd (CD-DA playing functions)
##

#
# number of cdrom devices
#
num_cd_device: 0

#
# CD-ROM 0 device 
#
cd_device_0: /dev/cdrom

#
# CD-ROM 0 mount point
#
cd_mountpoint_0: /mnt/cdrom

#
# pattern for playlist generation for data CDs
#
cd_scandir_pattern: *.[Mm][Pp]3

#
# use external mount command? (NOTE: irmp3d needs root privileges if set to 'no'!)
#
cd_externmount: yes

##----------------------------------------------------------------------##
##
## configuration options for mod_env (environments)
##

#
# Put your environment entries in this format:
#
# environment_<env name>: <irmp3 command>;<irmp3 command>;<irmp3 command>
#
environment_bedtime: beep disable;mixer volume 20;sleep 45 3;playlist shuffle 1;playlist load /home/mp3/bed1.pl;beep enable
environment_party: mixer volume 85;playlist shuffle 1;playlist loaddir /home/mp3/funky/*/*.mp3

##----------------------------------------------------------------------##
##
## configuration options for mod_idle ()
##

#
# interval (seconds) between idle checks/announcements 
#
idle_interval: 60

##----------------------------------------------------------------------##
##
## configuration options for mod_mixer ()
##

#
# the mixer device irmp3 uses
#
mixer_device: /dev/mixer

#
# the mixer's startup values (set when irmp3d starts or when the 'mixer default' command is received
#
mixer_volume: -1
mixer_balance: 0
mixer_bass: -1
mixer_treble: -1

#
# mixer channel used to manipulate volume
#
mixer_vol_channel: vol

##----------------------------------------------------------------------##
##
## configuration options for mod_netctl (network control facility)
##

#
# enable network client support?
#
netctl_enabled: yes

#
# interface (hostname or ip address) for irmp3d to listen on. Defaults to 'all' interfaces.
#
netctl_interface: all

#
# port for irmp3d status monitoring & control
#
netctl_port: 9232

#
# maximum number of clients to allow to connect at a time.
#
netctl_max_clients: 5

##----------------------------------------------------------------------##
##
## configuration options for mod_timer ()
##

##----------------------------------------------------------------------##
##
## configuration options for mod_debug (optional debugging facility)
##

##----------------------------------------------------------------------##
##
## configuration options for mod_fifo (unix domain control socket)
##

#
# enable mod_fifo?
#
fifo_enabled: no

#
# directory where control socket should reside
#
fifo_directory: /tmp

#
# name of socket file (%%p = PID, %%U = UID)
#
fifo_name: irmp3-%u-%p.tmp

#
# create a new socket (yes) or use existing socket?
#
fifo_create: yes

#
# remove socket at shutdown?
#
fifo_remove: yes

#
# permissions of socket (may be specified as 0... or 0x...)
#
fifo_perms: 0622

##----------------------------------------------------------------------##
##
## Configuration file footer
##
